libproc-simple-perl_1.31-1_all.deb


Advertisement

Description

libproc-simple-perl - Perl interface to launch and control background processes

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libproc-simple-perl
Package version 1.31
Package release 1
Package architecture all
Package type deb
Installed size 81 B
Download size 19.49 KB
Official Mirror ftp.br.debian.org
The Proc::Simple package provides objects mimicing real-life processes from a
user's point of view.
Either external programs or perl subroutines can be launched and
controlled as processes in the background.

Alternatives

Package Version Architecture Repository
libproc-simple-perl_1.31-1_all.deb 1.31 all Debian Main
libproc-simple-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libproc-simple-perl_1.31-1_all.deb
Source Package libproc-simple-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libproc-simple-perl deb package:
    # sudo apt-get install libproc-simple-perl

Files

Path
/usr/share/doc/libproc-simple-perl/changelog.Debian.gz
/usr/share/doc/libproc-simple-perl/changelog.gz
/usr/share/doc/libproc-simple-perl/copyright
/usr/share/doc/libproc-simple-perl/examples/parproc.pl
/usr/share/man/man3/Proc::Simple.3pm.gz
/usr/share/perl5/Proc/Simple.pm

Changelog

2012-11-18 - Salvatore Bonaccorso <carnil@debian.org>
libproc-simple-perl (1.31-1) unstable; urgency=low
[ Nathan Handler ]
* Email change: Nathan Handler -> nhandler@debian.org
[ Salvatore Bonaccorso ]
* Imported Upstream version 1.31
* Update debian/copyright file information.
Update format to copyright-format 1.0 as released together with Debian
policy 3.9.3.
Update copyright years for debian/* packaging.
* Bump Standards-Version to 3.9.4
2011-08-01 - Salvatore Bonaccorso <carnil@debian.org>
libproc-simple-perl (1.30-1) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* Imported Upstream version 1.30
2011-07-24 - Salvatore Bonaccorso <carnil@debian.org>
libproc-simple-perl (1.29-1) unstable; urgency=low
* New upstream release
* Drop fix-spelling-error-in-manpage.patch as typo fixed upstream.
2011-06-27 - Salvatore Bonaccorso <carnil@debian.org>
libproc-simple-perl (1.28-1) unstable; urgency=low
* New upstream release
* debian/copyright: Update copyright years for upstream files and
debian/* packaging.
* debian/control: Bump versioned Build-Depends on debhelper to (>= 8).
* Bump Debhelper compat level to 8.
* debian/patches:
- Drop fix-spelling-error-in-manpage.patch patch. Applied upstream.
- Drop fix-pod patch.
- Add new fix-spelling-error-in-manpage.patch to fix some further
spelling errors.
* Bump Standards-Version to 3.9.2 (no changes needed).
2010-11-07 - Salvatore Bonaccorso <carnil@debian.org>
libproc-simple-perl (1.27-1) unstable; urgency=low
* New upstream release
* Email change: Salvatore Bonaccorso -> carnil@debian.org
* Convert to '3.0 (quilt)' source package format.
* Drop quilt framework. Remove Build-Depends on quilt and remove --
with quilt from dh invocation in debian/rules. Remove now useless
README.source file.
* debian/copyright:
- Update copyright years in debian/* packaging stanza.
- Refer to GPL-1 license text in `/usr/share/common-licenses'.
- Refer to Debian systems instead of Debian GNU/Linux systems.
* Bump Standards-Version to 3.9.1.
* Add fix-spelling-error-in-manpage.patch to fix typos in manpage of
Proc::Simple.
2009-10-31 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
libproc-simple-perl (1.26-2) unstable; urgency=low
[ Salvatore Bonaccorso ]
* debian/control: Changed: Replace versioned (build-)dependency on
perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
permitted by Debian Policy 3.8.3).
[ Ryan Niebur ]
* Update ryan52's email address
[ Salvatore Bonaccorso ]
* Bump debhelper version to (>= 7.0.50) as for requirement for override
target for dh_installexamples. Fix shebang line for example pointing to
real location of perl instead of /usr/local/bin/perl fixing a
example-wrong-path-for-interpreter lintian warning.
* Bump Standards-Version to 3.8.3. 
* debian/copyright: Update to recent machine readable DEP5 format
specification proposal. 
2009-07-09 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
libproc-simple-perl (1.26-1) unstable; urgency=low
* New upstream release
* Add myself to Uploaders 
* Simplify debian/rules file and adjust apropriately Build-Depends
on debhelper (>= 7.0.8) and quilt (>= 0.46-7). 
* Refresh fix-pod patch. 
2009-06-28 - Nathan Handler <nhandler@ubuntu.com>
libproc-simple-perl (1.25-1) unstable; urgency=low
* New upstream release
* debian/watch:
- Update to ignore development releases.
* debian/control:
- Add myself to list of Uploaders
- Bump Standards-Version to 3.8.2 (No changes)
2009-04-10 - Ryan Niebur <ryanryan52@gmail.com>
libproc-simple-perl (1.24-1) unstable; urgency=low
* Initial Release. (Closes: 522720)

See Also

Package Description
libproc-syncexec-perl_1.01-1_all.deb spawn processes but report exec() errors properly
libproc-terminator-perl_0.5-1_all.deb module to conveniently terminate processes
libproc-wait3-perl_0.4-1+b2_amd64.deb Perl interface to wait3() system call
libproc-waitstat-perl_1.00-4_all.deb interpret and act on wait() status values
libprocesscore4abi1_4.11.13-2_amd64.deb library for ksysguard based process view
libprocessing-core-java_1.2.1-1_all.deb Java animation and interaction library
libprocessui4a_4.11.13-2_amd64.deb library for ksysguard process user interface
libprocps3-dev_3.3.9-9_amd64.deb library for accessing process information from /proc
libprocps3_3.3.9-9_amd64.deb library for accessing process information from /proc
libproj-dev_4.8.0-5_amd64.deb Cartographic projection library (development files)
libproj-java_4.8.0-5_amd64.deb Cartographic projection library (JNI bindings)
libproj0_4.8.0-5_amd64.deb Cartographic projection library
libprojectm-dev_2.1.0+dfsg-1+b1_amd64.deb Advanced Milkdrop-compatible music visualization library - dev
libprojectm-qt-dev_2.1.0+dfsg-1+b1_amd64.deb projectM Qt4 (development files)
libprojectm-qt1_2.1.0+dfsg-1+b1_amd64.deb projectM Qt4 bindings
Advertisement
Advertisement